Welcome

Ringtone Converter : Welcome
         Next Topic

Welcome to the Coding Workshop Ringtone Converter help file.

The Ringtone Converter has been designed to be as easy to use as possible. It allows you to add ringtones to most makes and models of phone without using cables or premium rate SMS services.

Click here for the getting started guide.

The software is released as shareware. You may try it out for as long as you like, but there are certain trail version restrictions that are lifted as soon as you register. For more information, see our purchase page .

Help file last updated 30 July 2003

Ringtone Converter v4.5


Getting started

Ringtone Converter : Getting Started

Getting started with the Ringtone Converter.

We assume, as you have this help file, you have already downloaded and installed the Ringtone Converter.

If you have a shareware version of the Ringtone Converter, the first screen you will see when you start the software will look something like...

Click on the 'Ok' button to continue in trial mode, or if you have a registration key, click on the 'Enter Key' button to register your copy of the software.

You will then be shown a loading page, followed by the main software page which looks something like this...

Select a phone

On this screen, first select a phone.

The drop down list contains all the major makes of phone, such as Nokia or Motorola etc. Choose the manufacturer of your phone from this list.

Now, select a phone model. The available models will be displayed based on the manufacturer you have selected.

If your phone is not listed, select a similar model number, or scroll through the phone list to see if there is a picture of a phone similar to your handset.

Hopefully at this point, you now have a picture of your phone showing in the Ringtone Converter.

Select a ringtone

The next step is to select a ringtone.

Like the selection of the phone, first choose a category, then a ringtone from that category. The Ringtone Converter has over 100 sample tones included to get you started.

Your display should now look something like this...

Now, click the 'PLAY' button located in the bottom right on the large white box. This will plat the ringtone you have selected to give you a preview before you load it onto your phone.

Convert the Ringtone

The final step is to convert the RTTTL ringtone you have (in our case Baa Baa Black Sheep) into a set of instructions so you can add it to your phone.

Click the long button, located below the large white box to convert the tone.

The Ringtone Converter will then show you another screen, with detailed instructions on how to add the ringtone to your phone, in most cases without using cables, or premium rate sms services!


File menu

File menu

The file menu contains most of the core functions of the Ringtone Converter

Open a Ringtone File

This option allows you to open a text file containing an RTTTL ringtone for use with the Converter.

Save Current Ringtone to File

This option allows you to save the current RTTTL ringtone to a number of different formats including Midi, Smaf, iMelody and more.

If your phone supports one of the formats, it will usually tell you when you try to do a normal conversion as shown in the Getting Started guide.

Standard Phone Tools

The standard phone tools option allows you access to tools which are generally useful if you have a standard, mono phonic phone.

These include tools like the Ringtone Composer, a midi to RTTTL converter and import filters for various other types of text based ringtone formats you can then convert to work with your phone.

Polyphonic Phone Tools

The polyphonic phone tools option allows to access to tools which are generally useful if you have a polyphonic phone.

These include tools to convert midi into smaf format (useful for most eastern polyphonic phones like Samsung or Sharp), tools to compress and trim midi files, fix bad midi files, and even volume enhance files for your phone.

The final useful tool in this section is the wap server which allows you to add ringtones to your polyphonic phone without using cables.

Search the net for a ringtone

This option will bring up the search form to search the internet for a specific ringtone. More on this feature is available here .

Play ringtone

The play ringtone option will play the currently selected RTTTL ringtone.

Exit

Pressing the exit option will close the Ringtone Converter.


Edit menu

Edit menu

The 'Edit' menu is fairly self explanatory.

Cut

The cut function will place the selected text on the Windows clipboard, removing it from the Ringtone Converter.

Copy

The copy function will place the selected text on the Windows clipboard, leaving the original intact.

Paste

The paste function will place a copy of the text in the Windows clipboard at the current cursor position in the Ringtone Converter.

Delete

The delete function simply removes the selected text from the Ringtone Converter.

Select All

Select all allows you to place the cursor in a window, then select all the text with one click.


Ringtone options menu

Ringtone options menu

The Ringtone Options menu has two basic functions.

The first is to allow you to set the tempo, or speed of a ringtone.

The second is to Enhance the ringtone for loud spaces.

Setting the tempo

The Ringtone Converter will automatically select what it believes to be the best tempo for the ringtone on your particular phone, however there are occasions when you may find this a little fast, or slow.

Select the 'Ringtone Options' option from the menu bar and simply change the speed to Fast, Standard or Slow. If you looking at a converted ringtone at the time it will automatically update the key in sequences for you.

The reason behind this is simply that many phones use a fixed tempo, whilst RTTTL allows you to specify a tempo in beats per minute (bpm).

The Ringtone Converter has to make a educated decision as to the best tempo and how to re-arrange the note durations to the best effect on your phone, but some tones are marginal, so only your human ear knows best.

The tempo settings allow you as much control as is possible over the speed of the ringtone.

Enhancing ringtones for loud spaces

The 'Enhance Ringtone for Loud Spaces' option found in the 'Ringtone Options' menu is used for standard, monophonic ringtones.

If you turn this option on, the Ringtone Converter will adjust the pitch, and octave of notes to play the melody as loud as possible on your phone.

The frequencies of the notes selected should be far more audible in loud environments, which is a problem with certain handsets, especially those with small 'polyphonic-like' speakers rather than the original 'beeper' ringtones.


Register menu

Register menu

The register menu option will bring up the product registration screen.

The Ringtone Converter is shareware. To read more about this click here .

If you have a unlock name and key, and you would like to convert your shareware version of the Ringtone Converter to a full version click here for instructions.


Help menu

Help menu

The help menu allows you access to the Coding Workshop help resources.

You can also check for updates, send us feedback through our online feedback form, and find out which version of the Ringtone Converter you are using .


RTTTL ringtones

RTTTL Ringtones

RTTTL ringtones are a standard format for monophonic ringtones.

RTTTL stands for Ring Tone Text Transfer Language, and most popular tunes can be found on the internet in this format. A good place to start is http://www.codingworkshop.com/ringtones/offsite.html, or to use the search facility built into the software.

Once you have an RTTTL ringtone, it will look something like this:

Baa Baa Black Sheep:d=4,o=5,b=125:c,c,g,g,8a,8b,8c6,8a,g,p,f,f,e,e,d,d,c

Simply paste this into the large white box on the main Ringtone Converter screen, so you have something like...

Then just click the convert button to get detailed instructions on how to add the ringtone to your phone.


Midi format ringtones

Midi file format ringtones

Midi files can be used to create both monophonic, and polyphonic ringtones with the Ringtone Converter.

If you phone has polyphonic ability, select the Polyphonic option in the help file for details of how manipulate midi files so you can add them as ringtones to your phone.

If you have a standard monophonic phone, and you cannot find the ringtone you want in RTTTL format (RTTTL should always be your first choice) then you can use the Ringtone Converter to convert the midi file into a simple ringtone for your phone.

Understanding the difference between Midi and RTTTL

Before we continue, you need to understand the basic difference between Midi and RTTTL.

RTTTL is a simple text based way of expressing ringtones, designed for monophonic phones. Most standard phones can handle between 35 and 70 notes in their ringtone.

Midi files are complex files often containing thousands of notes, and many channels. This makes a midi file 'polyphonic' and to use a midi file on a standard 'monophonic' phone we need to simplify it.

The Ringtone Converter makes this task as simple as possible!

Step 1 - Start the midi import module

To start, click the 'File' menu, then 'Standard phone tools', then 'Import: midi file'.

You will be shown a screen like this...

This again tells you the difference between Midi and RTTTL.

Click on the 'Select a Midi file to convert into RTTTL format' button to continue.

Step 2

You should now be asked to select the midi file you would like to convert. Choose the midi file, and click on the 'Open' button.

You will then be shown a complex looking window like this...

Don't panic! Its not that hard, but you need all those buttons to make life easier!

Click on the 'Start playback' button to start playing the midi file. You will then see each of the channels turn yellow as they are used, and the number of notes played on that channel displayed.

What you need to do is uncheck each of the boxes in turn, until you identify the channel that contains the 'main' song.

As your phone in monophonic, you can only use one channel. You can pause, stop and start playback as many times as you like, and you can use the 'Select all', 'Select highlighted' and 'Select none' buttons to make quick selections.

Finally, when you are down to a single channel, choose how many notes you would like to convert to RTTTL. Seventy notes is usually a good number.

Now, click 'Continue ->>>' to convert the midi file to RTTTL so you can use it on your phone.


Nokia Composer ringtones

Nokia Composer format ringtones

Nokia Composer format ringtones look very similar to RTTTL ringtones , however there are a few minor differences.

Usually, Nokia Composer tones do not have commas between the notes, and do not have a header containing the tempo, or song name.

By using the Ringtone Converter to convert the Nokia Composer tone to RTTTL format you can add a song name, and tempo information, and then convert the RTTTL to work with your phone.

How to convert a Nokia Composer ringtone to RTTTL format

In the Ringtone Converter select the 'File' menu, then 'Standard phone tools', then 'Import: Nokia composer format'.

You should then see a window like this...

Paste your Nokia Composer ringtone into the large white box, enter a name for the tone, and select a playback speed (140 is a good starting point) then click the Convert to RTTTL format button.

If you find the converted tone plays too fast, simple reduce the tempo or playback speed. If you find it plays too slow, increase the number in the playback speed box.


Other formats

Converting other formats

Various other formats can be converted with the Ringtone Converter such as Nokia key press or Motorola key press formats.

These conversions have variable results as the format the ringtone is written in is not specifically defined, so if possible you are better trying to find a ringtone in RTTTL, Nokia Composer or Midi format.

If you cant, then follow the instructions for the Nokia Composer format , but where you select the Import:..... option in the file menu, select one of the alternate formats.

The rest of the procedure is the same.


Polyphonic ringtones

Adding more polyphonic tones

The Ringtone Converter can convert almost any midi file into a midi or smaf format your phone can accept.

If your phone has polyphonic abilities, refer to the phone instructions inside the Ringtone Converter for details of how to add ringtones to it.

Almost any tune you can think of can be found as a midi file on the internet!


Ringtone Composer

Ringtone Composer

The Ringtone Composer allows you to create your own ringtones, or edit existing ones using a standard musical score and piano interface.

You can select either open with new melody or edit existing melody.

Open with new melody will start the composer with a blank score, whilst edit existing melody will transpose your current ringtone into the composer.

When you select open with new melody you will be given a screen like this...

Simply press the piano keys to generate notes, use the buttons to the left to remove notes, or add a pause, and the octave selector to the right to select the current working octave.

You can press play at any time to play the current composition, and which you are finished, press 'Create Rtttl' to create an RTTTL ringtone, and copy this back into the main Ringtone Converter so you can use it with your phone.

If you want to close the ringtone composer without saving, simply press the large red cross (X) in the top right of the window.


Import : Midi File

Import midi file

For more information on how to convert a midi file into RTTTL for use with the converter click here or select the 'Adding more ringtones' section of this help file.


Import : Other formats

Import other formats

For more information on how to convert a midi file into RTTTL for use with the converter click here or select the 'Adding more ringtones' section of this help file.


Convert midi to smaf

Converting Midi to Smaf

SMAF is a format created specifically for use with mobile devices.

It is used by a number of manufacturers for mobile ringtones including Samsung, Sharp and Siemens and results in a file with the extension .mmf

There are currently three levels of Smaf file supported by the Ringtone Converter, which at time of writing are between them compatible with almost all Smaf capable handset.

Smaf 4 Chord conversion

This is the most compatible Smaf format and works with the majority of Smaf compatible handsets.

Smaf 16 Chord conversion

Smaf 16 represent the next stage up. This format works with the majority of current phones such as the Siemens SL55 and Samsung T100.

Smaf 40 Chord conversion

Smaf 40 is the very latest standard, often called Polyphonic 40 and offers the highest quality.

It does not work on phones like the T100 as it was not around when the T100 was born, however if you have newer phone, such as the Samsung V200 camera phone, this will support the Smaf 40 format and the resulting ringtones can be superb!

How to convert Midi to Smaf

This is a very simple procedure.

1. Locate any midi file you would like to convert.

2. Find out which format of Smaf your phone accepts (try Smaf 4 first if you are not sure as this will work on all phones).

3. Click the 'Convert midi to smaf' option in the Ringtone Converter.

The Ringtone Converter will ask you to select a midi file, then click 'Ok'. The Converter will then do its work, and save a file with the same name, but with the extension .mmf in the same folder as your original midi.

The only consideration is that if the original midi is on a non-writeable disk, such as a cd, copy it to your hard drive first as the Ringtone Converter will not be able to save the Smaf (mmf) file to the cd.


Simplify midi file

Simplify midi file

The simplify midi file tool is very similar to the original midi to rtttl tool and is only available in the registered version of the Ringtone Converter.

Using the tool you can reduce the number of channels used in a midi file.

There are two reasons you may want to do this.

· Some earlier polyphonic handsets such as the Nokia 7210 could not play all 16 channels, so reducing the number of channels in use to 4 creates compatible midi files that play on the phone in a predictable manner.

· The file size of a simplified midi file is usually much smaller than the original. Many phones limit the maximum size of a midi file, by using this tool you can remove un-necessary clutter in the tune whilst reducing the size of the midi file.

To start open the simplify midi file utility, then click 'Select a midi file to simplify'. You will then be asked for the midi file, after which you should click 'Ok' to load the file.

The Ringtone Converter will then show which channels are currently in use. Click the 'Start playback button' to start playing the midi.

As the midi plays, each of the channels used will turn yellow, and show the number of notes played. You can select and de-select each channel to remove it from the currently playing midi. You can stop and start the playback at any time.

Once you are happy with your selection of channels, click the 'Save new midi file' button to save a new midi.


Enhance midi volume

Enhance midi volume

Polyphonic phones, especially earlier models, are often accused of being very quiet.

Whilst the Ringtone Converter cannot alter the physical characteristics of any particular handset, it can try to optimize the midi file for you.

This procedure is also worth trying if you are converting the midi to the smaf format later.

There are two settings, midi volume and midi pitch.

Midi volume - standard enhancement

The ideal 'maximum' midi volume is 127. Most midi files will already be set to 127, but some are created at 100, and others may have been trimmed or compressed, removing their loudest channels, leaving a midi that is not set to its maximum volume.

You can see, and set the target maximum volume with the Enhance midi volume utility. There is little point setting a midi volume of less than 127.

Keeping the volume set at or below 127 will result in no quality loss.

Midi volume - further enhancement

From version 4.4.7 of the Ringtone Converter you can also enter a value greater than 127 in the volume drop down box (internally we call this over clocking the midi file).

The reason you may want to do this is that some midi files have the majority of their melody playing quietly, with a few loud high spots.

By entering a number higher than 127, you will increase the volume of the quieter sections, however the 127 hard limit remains in the midi format, so the high spots will not get any louder.

The result can be good if you are selective with the over clocking, but if you put the volume up too high the resulting midi can be quite poor as all relative volumes are lost.

We recommend that initially you stick with a setting of 127, then if that is still too quiet slowly increase the volume until you get a good midi file volume without too much quality loss.

Midi pitch

The ideal average midi pitch for most files played back on a polyphonic phone is 65. Although a midi file played at this pitch on a standard pc may sound very high pitched, on a small mobile phone speaker it will sound much louder than a pitch in the low 50's, and gain more attention.

Try converting the original midi with 65 as your first try, if the file appears to 'go wild', lower the pitch setting to around 60, then again to 55 until you get a midi file that plays on your pc, but sounds high pitched.

Follow the instructions for your handset to transfer this to your phone and you should be able to hear the difference in apparent volume.


Trim midi file

Trim midi file

The trim midi file lets you chop the front and end of a midi file off, creating a smaller 'trimmed' midi file.

An example of the use of this function is if you have a 4 minute midi file, and want just 30 seconds in the middle of the file to use as your ringtone.

Some type 1 midi files, due to the way they are written and handle tracks and channels, may not be trimmed by this utility.

If you find you have a midi that is not working well following a 'trim', convert the midi from type 1 to type 0 to sort out the track and channel arrangements first and you should then find you can trim the files easily.


Fix bad midi file

Fix bad midi file

The 'fix bad midi file' utility does exactly what it says.

If you have a midi file and cannot play it with the Ringtone Converter, or Windows media player, try using the midi fix function to fix the errors in the file.

The midi file function will fix most major and minor errors found in midi files.


Convert midi type 1 to type 0

Convert midi type 1 to type 0

Most of the midi files you find on the internet are known as type 1 midi files.

The midi type 1 to type 0 function allows you to convert any midi file into the type 0 midi file which is generally more compatible with mobile phones.

At the same time, the function will sort the midi events in order of time, eliminate track clashes and carefully merge tracks that share the same channel.

The instructions for your phone will tell you if you need to use the type 1 to type 0 converter with midi files for your handset.


Convert midi file to RTTTL

Convert midi file to RTTTL

This function is described in detail here .


Convert midi file to wav file

Convert midi file to wav file

This utility allows you to convert midi files into wave files for playback on devices supporting the .wav format, such as the Microsoft Smartphone or sample ringtones on web pages.

Midi files are basic sets of instructions, telling your computer which notes to play, and in what order. As a result the files are very small, however playback of the files does vary from computer to computer as different sound cards interpret instruments in defferent ways.

Wave files are exact recordings made from an original, and so play back identically on every computer.

Until recently, to convert a file from midi into a wave format could be expensive, with dedicated software available to do the job costing $ 400+. The ringtone converter uses the power of your sound card to bypass the need for other hardware, allowing you to convert from midi to wave at home.


Wap Server: Ringtones

Using the WAP server to download ringtones

You can use the WAP server to add ringtones to most makes and models of polyphonic phones, and to some Siemens standard handsets.

We have made the process of adding ringtones very easy.

All you need to do is:

Step 1

First create your ringtone and put the file in the wap folder.

Your ringtone can be in midi, smaf or imelody format, depending on which format is supported by your handset.

Your Ringtone Converter will tell you the correct path for the wap folder when you select the Wap server option from the File -> Polyphonic tools option.

Step 2

Connect to the internet using your normal ISP.

Step 3

Click 'Start WAP Server' to start the WAP server.

Your PC will then effectively become a mobile phone web server you can download your ringtones from!

Step 4

Use the WAP browser built into your phone to download a ringtone.

The address you need to type into your phone will be shown in the Ringtone Converter. When you connect your phone will bring up a list of the ringtones and images in your wap folder.

If your phone is not configured for WAP, check with your network provider as they can usually send you a text message which will automatically configure your phone to use their Wap gateway.


Wap Server: Pictures

Using the WAP server to download pictures

The feature was added in the Ringtone Converter v4.4.6.

You now can use the Ringtone Converter WAP server to add pictures to most makes and models of color screen phones.

All you need to do is:

Step 1

First create your picture using any image creation software such as Paint and put the file in the wap folder.

Your Ringtone Converter will tell you the correct path for the wap folder when you select the Wap server option from the File -> Polyphonic tools option.

You should save your image in either 'gif' or 'jpeg' format, and size it according to the display size on your phone to save memory on your handset.

Step 2

Connect to the internet using your normal ISP.

Step 3

Click 'Start WAP Server' to start the WAP server.

Your PC will then effectively become a mobile phone web server you can download your images from!

Step 4

Use the WAP browser built into your phone to download an image.

The address you need to type into your phone will be shown in the Ringtone Converter. When you connect your phone will bring up a list of the ringtones and images in your wap folder.

If your phone is not configured for WAP, check with your network provider as they can usually send you a text message which will automatically configure your phone to use their Wap gateway.


Wap server port

Wap server port

The feature was added in the Ringtone Converter v4.4.3.

You can specify the port the wap server uses.

Normally this should be set to 80, however some phones require other ports. If your network provider, or phone manual suggests an alternate port you you can enter it into the input box shown when you try to start the wap server.

We recommend you try the default settings of '80' first.


Encoded Wap gateways

Encoded Wap gateways

On some networks when using the default wap gateway you may be shown the message by the Ringtone Converter:

"The remote wap gateway is requesting an encoded response. If you are unable to transfer ringtones using this wap gateway, you may want to try a different wap service provider if the ringtone transfer fails."

The reason for this message is because the Ringtone Converter has received a request by the wap gateway to encode its response for the file type. Typically you are able to load text pages like the ringtone listing, but when you try to request a midi file the request fails.

In effect, the wap gateway is blocking the download of midi files to your phone using a standard wap server unless you know their encoding format.

A way round the problem

Fortunately there is a way around the problem.

Your wap gateway provider is similar to your ISP you use to connect to the internet, you do have a choice.

If you look in your phone manual, most phones allow you to set up a number of wap gateways, or profiles, and choose between them as you like.

Then, search on a good search engine, such as Google, for 'wap gateway settings your-country'

You should find a web site with settings for a number of gateways.

A working example

As a working example, at the time we wrote this one of the main phone networks in the UK requested encoded content when requesting media content through their wap gateway.

By creating an additional wap profile for another network (in our case either Orange or Vizzavi) on the handset, we were able to download midi files and pictures without problem.

This is just an example, and things may have changed as they change rapidly, but it illustrates that you do have a choice so why not use it if your wap provider is blocking your downloads instead of paying per ringtone or picture!


How to register

How to register your Ringtone Converter

Registering your Ringtone Converter is quite easy.

Step 1.

The first step to registering the Ringtone Converter is to buy a license.

You can obtain a licence from the web site http://www.codingworkshop.com/ringtones/buy.html

A license allows you to create a key for this, and any future versions of the Ringtone Converter software.

Step 2.

Once you have a license you need to generate an unlock code for your copy of the Ringtone Converter.

Current instructions on how to create a key, and the key generation form are located at http://www.codingworkshop.com/ringtones/members.php

Please take time to read this page, and follow the steps on it. Once you have completed this stage you will receive an email with a user name and key in it for your Ringtone Converter.

Step 3.

Ok, by now you should have received an email with a user name and unlock key in it.

Now, start up your Ringtone Converter and you should be shown a screen that looks something like this…

On this screen click 'Enter Key' and you should get a second screen like this one...

Your hardware fingerprint will say something different, and hopefully if you have completed step 2, you will have your key issue email.

To complete registration of the software, and to unlock all the features, copy the name and key you have been given into the Name and Key boxes, and simply click Ok.

The most common mistake users make is to try to copy their email address or even their hardware fingerprint into the name and key boxes.

If you have not received your email with a user name and key in it, please go back to step 2.


Registration policy

Ringtone Converter Registration Policy

You may try out the trial version of the Ringtone Converter for as long as you like, but if you want access to all the features of the software you will need to purchase a license.

When you purchase you will be added to the Ringtone Converter 'members list' and be able to create an Armadillo "key" to unlock the program at

http://www.codingworkshop.com/ringtones/members.php

This key will be valid for the current version of the Ringtone Converter.

Upgrades to future versions are also free, so as a registered user all you need to do if you want to upgrade is to visit the url above, download the latest version and create a new key.

Details of how to enter your registration details can be found here .


Glossary

Do you know your Bluetooth from your SMAF, or the difference between CDMA or PCN or GSM? What exactly is a Polyphonic ringtone?

Abbreviations usually stand for something you can live life without knowing, some are useful gadgets, others describe functions on the phone, or perhaps the type of network you are on, but sometimes its just good to know what they do mean.

The most popular terms...

The following terms relate to the abbreviations, or jargon we get asked about most:

Bluetooth

Bluetooth is a handy technology that allows devices to talk to one another when close. As and example, you may have Bluetooth on your phone, and when in the car use this to talk to the car phone without having to plug in your phone.

EMS

EMS standard for Enhanced Messaging Service. It is system that has evolved from the standard SMS messaging you my be used to, and allows standard ringtones and graphics to be sent to and between phones.

GPRS

General Packed Radio Service. GPRS is a data upgrade for GSM networks, allowing a data transfer rate of up to 115kps and always on availability. Now being used for MMS multimedia messaging by some networks.

MMS

MMS stands for Multimedia Messaging Service. MMS allows you to send color images, graphics and audio files like polyphonic ringtones along with your text messages.

Polyphonic

Polyphonic comes from the word polyphony, meaning "many sounds". Music that has many notes sounding together, either in a chordal, or contrapuntal setting.

Polyphonic ringtones vary in specification from phone to phone, but all polyphonic phones support the playing of more than one note together, so your ringtone is generally more musical.

On the downside, because the ringtones are played 'musically' they usually difficult to here in noisy environments. Some manufacturers like Samsung have taken steps to improve this by making their ringtones especially loud, whilst others like Sony Ericsson have retained the 'beep' ringtones in their T300 handset in addition to the polyphonic tones so you can choose.

RTTTL

Ring Tone Text Transfer Language.

A text format designed to allow people to save standard (non-polyphonic) ringtones. Used by most internet sites for Nokia ringtones and by the Ringtone Converter so you can use RTTTL ringtones with almost any make or model of phone.

SMAF (mmf)

Synthetic Mobile Music Application Format.

Used in some cell phones including phones from Samsung and Sharp for polyphonic ringtone support. Filenames usually end in .mmf and are downloaded to the handset using a cable, IrDA or download by wap.

WAP

Wireless Application Protocol. Wap is an agreed standard that allows your phone to access the Internet. Supported by almost every modern phone.

Network terms...

Some terms are specific to the way the mobile phone network you are on works. These include:

AMPS

Advanced Mobile Phone Standard. Analogue format used widely in the USA.

CDMA

Code Division Multiple Access. CDMA is a digital standard used in the USA, the Far East and Japan. CDMA uses coding of the digital segments of calls, allowing networks to use space on channels over a wide range of frequencies.

GSM

Global System for Mobile Communications. A digital cellular standard used throughout Europe and now popular in most parts of the world. The standard uses three frequency bands, 900Mhz, 1800Mhz and 1900Mhz. In the UK GSM usually relates to the GSM900 band as this came first with Vodaphone and Cellnet (now O2), see GSM1800 below.

GSM1800 / PCN / DCS1800

Various names for the same technology. GSM1800 is a digital standard using the 1800MHz band. In Europe the GSM1800 band was added in most countries after the GSM900 slots very sold, and is used by the newer providers like Orange and T-Mobile. Coverage used to be limited to major cities, however now coverage is usually just as good, or in some cases better than the

GSM900 networks.

PCS1900

Personal Communications System operating on the 1900Mhz frequency. Yet another name for GSM1900, used in the USA and Canada.

TDMA

Time Division Multiple Access. TDMA is a digital processing system that allows several phones to use the same frequency. Each conversation is allocated a time slot so you only hear the conversation for a fraction of each second, but as the gaps are very small you cannot usually notice.

Other popular jargon...

Analogue

The traditional way to send calls through the air to cell phones. Still used widely in areas where coverage over large areas is required, however in most densely populated countries and locations analog has generally replaced by digital phone networks which generally offer better clarity.

Caller Display (CLI)

Also know as CLI, or Calling Line Identification. Anyone with a digital mobile will know what caller display is immediately, it used to be ground breaking, but now it is commonplace. The CLI system allows the user of a phone to see who is calling before choosing if they should accept or decline the call.

DECT

Digital Enhanced Cordless Telecommunication. DECT is a standard for cordless phones. We list it here as some Sagem phones used a combined GSM and DECT setup to allow you to use your mobile phone at home on your land line. It was a good idea, but unfortunately it doesn't look like it took off as recent Sagem models do not seem to have the facility.

DECT uses 120 channels over 10 frequencies, and gives better quality calls than traditional analogue home phones. Typically most DECT phones have a range of about 30 meters from their base station.

Digital

Digital is often banded about as a better alternative to Analogue. With a digital handset speech is sampled to create a binary series of ones and nougats which can be transmitted, and then decoded at the other end. The advantages of this to the network operator are immediate as more calls can be compressed into the same amount of free air space, but their are advantages to the user as well. As less data is flying, and the data can be corrected for errors, quality is improved, and additional services like caller id and text messaging can also tag onto the messages.

Picture messaging is now starting to take off, and the next generation of digital mobile phones, known as 3G, should feature innovations like streaming video from one handset to another.

Dual Band / Triple Band

Dual and triple band phones started to appear in the late 90's when roaming started to become a realistic proposition. Dual band phones usually allow your phone to work on networks in the GSM900 and GSM1800 bands, allowing you to use your phone in most countries worldwide.

The exception is the USA, where you need a Triple band phone to roam as the GSM standard in the states is GSM1900. Even then in remote areas you may find GSM1900 is not yet supported as the USA is a big place, and GSM networks are better suited to densely populated areas, so if you are planning to roam throughout the States you may be better buying a pre-pay package such as Virgin Mobile on a CDMA network for more coverage than a triple band phone can offer at the time of writing.

EFR

EFR standard for Enhanced Full Rate. It is a voice coding system designed to improve the voice quality on cell phones. For EFR to work it must be supported by the phone network and your handset.

ETSI

The European Telecommunications Standard Institute. The ETSI wrote the specifications for GSM and DECT.

HSCSD

High Speed Circuit Switched Data is an enhancement to standard GSM networks allowing higher data speeds by combining data slots. Requires support by the network and phone, such as the Nokia card phone.

IMEI

International Mobile Equipment Identity. A unique serial number for your phone.

J2ME

J2ME is a micro edition of Java 2 used for smaller devices with limited memory, such as mobile phones and PDAs. It allows developers to write software for mobiles, expect to see great games on a mobile near you very soon!

Roaming

Roaming allows you to use your mobile phone on other networks other than the one you pay. Usually quite expensive, but very handy when you are on your holidays and want to make someone a little jealous!

SIM (Card)

Subscriber Identity Module. The name for the small smart card used in your phone. Sim cards used to be the same size as credit cards, but with shrinking phone sizes, the Sim was re-worked to a small card about the size of a penny or cent. The Sim card stored your phone number.


Online support forum

Ringtone Converter : Online support forum

Ringtone Converter - Online help and support forum

We have tried to make the Converter easy to use.

If you are having difficulties using any part of the software please take a look at our online support forum where we encourage customers to post their problems, comments and general hints and tips.

Our support forum is currently located at:

http://www.ringtonesoftware.com/phpBB2/


Frequently asked questions

Frequently asked questions

The majority for faq's are answered online on our support forum .

The most common question we get asked is:

Q.

I cannot enter the numbers your software gives me into the phone, the phone will only let me enter notes, or letters. When I try to type the number 2 for example, my phone displays the letter C. Help!

A.

Ignore what the phone displays while you press the keys, if you key the numbers into the phone in the sequence given your tone will work!

The Ringtone converter does not need you to know anything about music, notes, octaves etc, it takes the tones in the RTTTL or Nokia Composer format and changes these to the key press sequences.

As an example, on some Motorola mobiles, if the tone you are entering needs a 'D' the converter will show 22, telling you to press the number 2 key twice to generate that note, so by just trying the numbers and ignoring the display everything should work for you.


Locating the version number

Locating the version number

As the Ringtone Converter is constantly moving forward, and new phones are added all the time, in several parts of this help file the version number of the software is referred to.

To find out the version of the Ringtone Converter you have, start the Ringtone Converter, then click the 'Help' option on the menu bar, then 'Release History'.

The version number and build date are shown on the top part of this screen.

This screen also lets to browse through the release history so you can see what has changed since the latest version you installed.

Registered users are entitles to free upgrades, so if you need a later version and are worried you may have to pay again, don't. Simply download the latest version from our website.


Upgrade registration keys

Upgrade registration keys

From time to time we have to change the algorithms used for our unlock keys.

If you are a registered user and have upgraded only to find your old registration key no longer works, don't panic!

You can request a new key from our automated system at:

http://www.codingworkshop.com/ringtones/members.php

This system is for currently registered users only and will only send keys to the email address used for the original purchase.

If you have not registered please do so first.


Using the search function

Using the search function

The Ringtone Converter allows you to search for a ringtone on the internet in RTTTL format using the search function.

To perform a search simply click on the 'Search' tab at the top of the screen.

Enter the name of the ringtone in the 'Search for' box, then click either the 'Search Google', 'Search MSN' or 'Search Powerseek' button to search any of these search engines for your ringtone.

Keeping your search as simple as possible will increase the number of hits you get.


Polyphonic: Microsoft Smartphone

Microsoft Smartphone ringtones

The Microsoft Smartphone, also known as the Orange SPV supports ringtones written by the Ringtone Converter in midi format.

Creating a ringtone for the Smartphone

To create a ringtone for the Smartphone simply save the ringtones you like as midi files using the 'File' -> 'Save current ringtone to file' option.

Select the 'single channel' option as this will create the most compatible ringtone.

Downloading the ringtone to your Smartphone

To download the ringtone, open the ActiveSync application that comes with the phone, and select 'Explore' from the menu bar.

Enter the 'My Smartphone' folder, then the 'Windows' folder. Copy the midi files you created earlier into this folder.

Sync your phone, and the converted ringtones will then be available for use on your handset as ringtones.

By using the Ringtone Converter to create midi files, you save valuable memory resources as the files are much smaller that alternative wav files and are created within the specification limits for the handset.


Polyphonic: Motorola handsets

Motorola polyphonic handsets

Important: Most Motorola polyphonic phones also support key-in ringtones.

If you are looking for key-in ringtones select the model of phone rather that 'polyphonic handsets' for the phone type.

Adding polyphonic ringtones to your Motorola is a two step process, first you need to create the ringtone, then transfer it to your phone.

Creating a Polyphonic Ringtone File

Motorola handsets use a midi format for polyphonic ringtones.

The Ringtone Converter contains a number of midi tools to help you modify midi files you find on the Internet into suitable ringtones for your phone, such as a trim tool to remove long introductions, a channel reduction tool to simplify over complex files, and a volume enhancement tool to try to make your ringtones a little louder.

All three tools can reduce the file size of the midi. We recommend you aim for a file size of under 12kb to maximize the number of tones you can add to your phone.

You can find these tools in the File menu under 'Polyphonic phone tools', and instructions for each tool are available using the hyperlinks above.

Creating extra-loud ringtones for Motorola polyphonic handsets

One of the most common questions we get asked for Motorola handsets, especially the C3xx and T720 models is how can you increase the volume of the ringer.

If you need a ringtone for a noisy environment you may be best using the 'Save' feature in the File menu, and select the 'Multi Channel Midi' option.

This will save the current RTTTL ringtone in a midi format, with multiple channels all used to play the same notes. The result is quite a loud ringtone (certainly louder than any we have heard on the Motorola handsets!)

Downloading the ringtone to your phone using WAP

Once you have your new ringtone file you need to download it to your phone.

The easiest way to do this without the use of cables is by using the WAP server built into the Ringtone Converter, and the WAP browser in your phone.

To start, connect your PC to the Internet. This needs to be a direct connection using a modem, or ADSL connection so your cell phone can talk to your PC.

Now, click on the 'File' menu, then on 'Polyphonic phone tools', then select 'WAP Server'.

A new screen will be shown. Read the text on this screen, this will tell you where you need to put the ringtone files you have created. Next click 'Start WAP Server'.

Now on your phone handset use the menu and locate your WAP Browser (sometime called Web Access). Select 'Goto URL' and enter the 'WAP URL' shown in the Ringtone Converter and select 'Ok'.

Your phone will then connect to your PC, and you should be given a list of the ringtones you have created. Simply select the ringtones with your phone to download them.

Summary

All the above may sound complicated, but it is actually quite easy if you work though the steps one at a time.

Step 1

Start by selecting a ringtone from the list of sample tones contained inside the Ringtone Converter software.

Step 2

Select 'File' from the top bar menu then select 'Save' then 'Multi Channel Midi' to create a ringtone file.

Step 3

Use the WAP server to transfer it to your phone.


Polyphonic: NEC handsets

Polyphonic: NEC handets

NEC polyphonic handsets

At the time of writing, the only tested NEC polyphonic handsets are the phones on the '3' network, including the popular e606 3g handset.

Creating the ringtone file

To add standard ringtones to your e606 simply save the rtttl ringtones you like as midi files using the 'File' -> 'Save current ringtone to file' option. For the e606 select the single channel midi file (not the multi channel option) as this is the format that is compatible with your phone.

To add polyphonic ringtones to your e606, select 'File' -> 'Polyphonic Phone Tools' -> 'Convert midi to NEC midi file'. This will open a new screen that will let you choose a midi file, and save this in the NEC midi file format so you can transfer it to your phone. This feature was added in version 4.5.

Transferring the ringtone to your phone

To transfer ringtones to your e606 you can use the supplied e606 PC File Transfer software.

First, connect your handset to your phone using the supplied USB cable, or bluetooth. Now, on your phone press the menu button, then select the bottom right icon labeled 'Data Transfer'. A new menu will appear, Select 'To/From PC' to put your phone in a data connection mode.

Now on your PC, start up the File Transfer software. You should have an icon for this on your desktop after installation using the standard NEC Tools and Utilities disk supplied with the phone.

Once the File Transfer software has started), select 'Ringtune' from the options, then select 'Send PC -> Handset' and click ok.

You can now click the 'Add...' button to locate the midi files you have created using the Ringtone Converter and download these to your phone.


Polyphonic: Nokia handsets

Nokia polyphonic handsets

Nokia polyphonic handsets can be divided into two distinct groups, either 4 note, or 24 note polyphony.

As a basic guide, the earlier polyphonic handsets such as the Nokia 3510, 5100, 6100, 6110, 7210 and 7250 are in the '4 note' group, whilst at the later Nokia phones such as the 3650 and 7650 fall into the '24 note' group.

Creating polyphonic ringtone files for '4 note' Nokia handsets

The '4 note' group of Nokia phones can play back four simultaneous notes.

As Midi files usually contain 16 channels, most files tend to sound poor if you try to send them to your phone without working on them first.

The Ringtone Converter gives you a number of tools to convert a midi file into a ringtone file for a '4 note' Nokia. These can be used in a two step procedure as follows:

Step 1

Use the simplify midi or midi type 1 to 0 function to reduce the number of notes that can be played simultaneously to 4 or less.

The midi type 1 to 0 function will retain most of the ringtone, but will not reduce the file size. The simplify midi function will simplify the midi file, and usually reduce the file size.

Step 2

Use the midi trim and enhance volume functions to create different versions of the midi file. Try creating 2 or 3 different midi files, then download all to your phone and see which sounds the best.

Creating polyphonic ringtone files for '24 note' Nokia handsets

As the name implies, the '24 note' group of Nokia phones can play back 24 simultaneous notes.

As Midi files generally only contain 16 channels, very few have more than 24 notes playing simultaneously and therefore you do not need to simplify the midi file.

It is still a good idea however to use the volume enhancement and midi trim tools to enhance the midi, and reduce its size to just the section you want on your phone.

You may also want to consider using the Midi type 1 to type 0 tool as some midi files are badly composed, and this tool will re-arrange the midi file to fix common problems.

Creating standard ringtones for any Nokia polyphonic handset

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter or a non-polyphonic RTTTL ringtones, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as either a single, or multi channel midi file.

The multi channel option will produce a very loud ringtone which is useful on some Nokia handsets if you have difficulty hearing the polyphonic tones.

Downloading ringtones to any Nokia handset

The procedure for adding ringtones is the same for all types of Nokia.

You do still have a few options to choose from however, depending on the features of your phone, and your computer.

Option 1 - Download using WAP

This option is available on all Nokia phones.

The Ringtone Converter has a fully functional WAP server built in, and will allow you to download the midi ringtones you have created.

For details of how to use the WAP server to download ringtones click here .

Option 2 - Download using iRDA

If your phone and computer have infra red, you can use this to send the ringtone files to your phone on most Nokia handsets.

Option 3 - Download using Bluetooth

Like infra red, if your phone and computer have bluetooth, you can also use this to send the ringtone files to your phone.


Polyphonic: Samsung handsets

Samsung polyphonic handsets

Samsung handsets use a format known as SMAF for polyphonic ringtones.

Adding a ringtone to a Samsung polyphonic handset is a two stage process, first you need to create the ringtone file, then transfer the file to your phone.

Creating a Samsung polyphonic format file

Use the Midi to SMAF converter to convert any midi file into a SMAF (.mmf) file for use with your phone. The Midi to SMAF converter is documented here .

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as a Smaf (mmf) file.

If you have an earlier phone such as the T100 we recommend you select the 16 chord conversion. If you have a very recent phone supporting 'polyphonic 40' such as the V200, select the 40 chord conversion.

Transferring the file to your phone

You can transfer SMAF ringtone files to your Samsung in a number of ways.

Option 1 - Cable transfer

If your phone came with a cable and Samsung software like EasyGRPS or PCLink for GSM, then this is probably the easiest way to add ringtones to your phone.

Simply connect your phone to the PC per the Samsung software instructions, start up the software and download the SMAF mmf file the ringtone converter created for you.

Option 2 - WAP

If you do not have a cable, you can add ringtones to your handset using WAP .

The Ringtone Converter has a fully functional WAP server built in, and will allow you to download the SMAF ringtones.

For details of how to use the WAP server to download ringtones click here .


Polyphonic: Siemens handsets

Siemens polyphonic handsets

Most Siemens polyphonic handsets can accept the SMAF format for polyphonic ringtones.

The SMAF format is designed for the mobile devices, so tends to give a better result than simple midi, whilst taking up less space on the phone.

Adding a ringtone to a Siemens polyphonic handset is a two stage process, first you need to create the ringtone file, then transfer the file to your phone.

Step 1 - Creating a Siemens polyphonic format file

Use the Midi to SMAF converter to convert any midi file into a SMAF (.mmf) file for use with your phone. The Midi to SMAF converter is documented here .

You need to select the 16 chord smaf conversion for Siemens handsets.

The volume of the SMAF file will automatically be optimized and there is no need to use the midi simplify tool as the converter can handle all 16 midi channels when converting to the Siemens format.

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as a SMAF (mmf) file.

Tip: For the Siemens SL55 you may need to lower your ring volume on the handset or louder SMAF format ringtones with a lot of bass may sound distorted due to the size of the ringtone speaker. Don't worry however - even on half volume, most ringtones created by the Ringtone Converter are louder than the standard SL55 phone tones!

Step 2 - Transferring the file to your phone

You can transfer SMAF ringtone files to your Siemens in a number of ways.

Option 1 - WAP

If your phone is set up for Wap (most come pre-configured) and your pc has a connection to the internet you can use Wap to add ringtones and pictures to your handset.

The Ringtone Converter has a fully functional Wap server built in that works well with Siemens handsets, and will allow you to download the SMAF ringtones and jpg and gif image files.

For details of how to use the Wap server to download ringtones click here .

To access the Wap browser on your phone select 'Surf & fun' from the menu, the 'Internet'. Start a connection by selecting 'Homepage', then when this has loaded press the 'green phone' key to open the menu and select 'Go to...'.

You can now enter the url given to you by the Wap server in the Ringtone Converter.

Once you have received a ringtone or picture, your phone will show it to you, allow you to play or view it, and save it to your sounds or pictures folder.

Option 2 - Download using iRDA

If your phone and computer have infra red, you can use this to send the ringtone files to your phone on most Siemens handsets.

We have tested this with the SL55 and it works well. Once you have transferred your SMAF ringtone file, open the 'Filesystem' and select 'Data objects' to locate your ringtone, then save it to your 'Sounds' folder.

Option 3 - Download using Bluetooth

Like infra red, if your phone and computer have bluetooth, you can also use this to send the ringtone files to your phone.


Polyphonic: Sony Ericsson handsets

Sony Ericsson polyphonic handsets

Sony Ericsson polyphonic handsets accept most standard midi files for ringtones.

The tools you will need to use in the Ringtone Converter to create a good ringtone are the volume enhancement and midi trim tools.

The first is used to enhance the midi, and the second to reduce its size to just the section you want on your phone. (most midi files have a long intro section, so if you use a standard midi you never here the tune before its time to pick up the phone!)

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as either a single, or multi channel midi file. The multi channel option will produce a very loud ringtone which is useful on some Sony Ericsson handsets if you have difficulty hearing the polyphonic tones.

You may also want to consider using the Midi type 1 to type 0 tool as some midi files are badly composed, and this tool will re-arrange the midi file to fix common problems.

Downloading ringtones to your Sony Ericsson handset

The procedure for downloading ringtones is the same for all types of Sony Ericsson.

Option 1 - Download using WAP

The Ringtone Converter has a fully functional WAP server built in, and will allow you to download the midi ringtones you have created.

For details of how to use the WAP server to download ringtones click here .

You need the Ringtone Converter version 4.4.5 or later to use the Wap server with a Sony Ericsson phone. Click here to find out your version number.

Option 2 - Download using iRDA

If your phone and computer have infra red, you can use this to send the ringtone files to your phone.

Option 3 - Download using Bluetooth

Like infra red, if your phone and computer have bluetooth, you can also use this to send the ringtone files to your phone.


Smaf 16: Polyphonic 16 format

40-note Polyphony Handsets

Many handsets from Japan or Korea use a format known as '16-note polyphony from J-phone' or SMAF MA-2 LSI.

If you have been sent to this page by the Ringtone Converter this will be the format your phone uses.

To create ringtones for these phones using the Ringtone Converter is quite easy and is a two stage process, first you need to create the ringtone file, then transfer the file to your phone.

Creating a 16 chord polyphonic format file

Use the Midi to SMAF converter to convert any midi file into a SMAF (.mmf) file for use with your phone. The Midi to SMAF converter is documented here .

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as a Smaf (mmf) file.

As you have a 16 note phone, select the 16 chord conversion when converting the file to the SMAF format.

Transferring the file to your phone

Depending on your handset, you can transfer SMAF ringtone files to your phone in a number of ways.

Option 1 - Cable transfer

If your phone came with a cable then this is probably the easiest way to add ringtones to your phone.

Simply connect your phone to the PC per the phone software instructions, start up the software and download the SMAF mmf file the ringtone converter created for you.

Option 2 - WAP

If you do not have a cable, you can add ringtones to almost any polyphonic handset using WAP .

The Ringtone Converter has a fully functional WAP server built in, and will allow you to download the SMAF ringtones.

For details of how to use the WAP server to download ringtones click here .


Smaf 40: Polyphonic 40 format
         Previous Topic

40-note Polyphony Handsets

Many handsets from Japan or Korea use a format known as '40-note polyphony from J-phone' or SMAF MA-3 LSI.

If you have been sent to this page by the Ringtone Converter this will be the format your phone uses.

To create ringtones for these phones using the Ringtone Converter is quite easy and is a two stage process, first you need to create the ringtone file, then transfer the file to your phone.

Creating a 40 chord polyphonic format file

Use the Midi to SMAF converter to convert any midi file into a SMAF (.mmf) file for use with your phone. The Midi to SMAF converter is documented here .

If you would like to use one of the sample, non-polyphonic ringtones included with the Ringtone Converter, choose a ringtone and then select the 'File' menu, then 'Save as' and save the file as a Smaf (mmf) file.

As you have a 40 note phone, select the 40 chord conversion when converting the file to the SMAF format.

Transferring the file to your phone

Depending on your handset, you can transfer SMAF ringtone files to your phone in a number of ways.

Option 1 - Cable transfer

If your phone came with a cable then this is probably the easiest way to add ringtones to your phone.

Simply connect your phone to the PC per the phone software instructions, start up the software and download the SMAF mmf file the ringtone converter created for you.

Option 2 - WAP

If you do not have a cable, you can add ringtones to almost any polyphonic handset using WAP .

The Ringtone Converter has a fully functional WAP server built in, and will allow you to download the SMAF ringtones.

For details of how to use the WAP server to download ringtones click here .